/******************************************************************************
*
* project name:    SOKOMIZE
* initial date:    16/06/2000
* author:          Zeljko Juric (zjuric@utic.net.ba)
*                  thomas.nussbaumer@peem.com (changes for TIGCC Library 2.0)
* description:     launcher for SokoMize to overcome 8kB limit on AMS 2.03
*
*
* THANX TO ZELJKO JURIC WHO RELEASES THIS CODE AS PART OF HIS SCOTTFREE DRIVER
* AND GAVE ME PERMISSION TO RE-USE IT
*
* -----------------------------------------------------------------------------
* Revision History
* -----------------------------------------------------------------------------
*
* v1.00: 16/06/2000
*        initial version
*
******************************************************************************/

#include <nostub.h>
#include <alloc.h>
#include <mem.h>
#include <statline.h>
#include <vat.h>
//#include <stdlib.h>

int _ti89, _ti92plus;         // Produce both .89z and .9xz files

#define fatal(s) {ST_showHelp(s); return;}

//--------------------------------------------------------------------------
// Note: This program is dirty-written to be as small as possible, so trying
// to understand how it works may be a good brain training for C experts :-)
//--------------------------------------------------------------------------
char *fptr = 0;  // MUST BE a global due to TIGCC standard library 2.0
char *cptr = 0;  // MUST BE a global due to TIGCC standard library 2.0

void _main(void) {
    unsigned *pptr,*eptr,plen,offs;
    SYM_ENTRY *SymPtr=DerefSym(SymFind($(sokomize)));
    if (!SymPtr) fatal("Sokomize not found");

    plen=*(int*)(cptr=fptr=HLock(SymPtr->handle))+3;

    if (SymPtr->flags.bits.archived) {
        if (!(cptr=malloc(plen))) fatal("Out of memory");
        memcpy(cptr,fptr,plen);
    }
    for (eptr=pptr=(unsigned*)(cptr+plen-4);*pptr;pptr-=2);

    while(pptr<eptr) offs = *++pptr, *(char**)(cptr+2+*++pptr) = cptr+0x40002+offs;
  
    ((void(*)())(cptr+0x40002))();
    if (cptr!=fptr) free(cptr);
}

