/******************************************************************************
*
* project name:	   SOKOMIZE
* initial date:	   29/05/2000
* author:		   thomas.nussbaumer@peem.com
* description:	   title data and decompression	routine
*
* Title	picture	converted and RLE compressed using
* Image	Studio v1.1	by Matt	Johnson
*
* -----------------------------------------------------------------------------
* Revision History
* -----------------------------------------------------------------------------
*
* v1.00: 29/05/2000
*		 initial version
*
******************************************************************************/

/*===========================================================================*/
/* RLE decompression routine												 */
/*																			 */
/* dest		 ... pointer to	destination	where store	decompressed data		 */
/* source	 ... pointer to	RLE	compressed data								 */
/* size		 ... size of decompressed data									 */
/* drawbytes ... number	of bytes to	draw per line							 */
/* offset	 ... number	of bytes to	skip after each	line					 */
/*																			 */
/*===========================================================================*/
void Decompress(unsigned char* dest,
				unsigned char* source,
				unsigned int   size,
				unsigned char  drawbytes,
				unsigned char  offset)
{
	unsigned char len,val,counter =	0;

	while (size) {
		if (*source	== 0x91) {
			source++;
			val	= *source++;
			len	= *source++;
			while (len)	{
				*dest++	= val;
				len--;
				size--;
				counter++;
				if (counter	== drawbytes) {
					dest+=offset;
					counter=0;
				}
			}
		}
		else {
		   *dest++ = *source++;
		   size--;
		   counter++;
		   if (counter == drawbytes) {
			   dest+=offset;
			   counter=0;
		   }
		}
	}
}



/*===========================================================================*/
/* RLE encoded title screen	(160x100) -	first plane							 */
/*===========================================================================*/
unsigned char title_data1[]	= {
0x91,0x00,0x14,0x01,0x00,0x08,0x00,0x00,0x80,0x04,0x01,0x78,0x80,0x91,0x00,0x05,0x20,0x91,0x00,0x05,
0xFF,0xB0,0x00,0x00,0xFF,0xD8,0x01,0xF8,0xE0,0x91,0x00,0x04,0x7F,0xC0,0x91,0x00,0x04,0x01,0x1C,0x30,
0x00,0x00,0x8E,0x18,0x07,0xFE,0xE0,0x91,0x00,0x04,0x0E,0x20,0x91,0x00,0x05,0x1C,0x33,0x03,0x40,0x0C,
0x18,0x07,0x0E,0xFE,0x16,0x17,0x0B,0x80,0x0E,0x03,0x45,0xC4,0xAF,0x40,0x00,0x1C,0x3F,0xCF,0xE0,0x0C,
0x18,0x0F,0x08,0xFF,0x3F,0x9F,0xCF,0xE0,0x0E,0x0F,0xEF,0xE7,0xFF,0xC0,0x00,0x1C,0x3F,0xDE,0xE0,0x0C,
0x18,0x0E,0x00,0xF7,0xBF,0xFD,0xFE,0xF0,0x0E,0x1E,0xE6,0x77,0x9C,0xC0,0x00,0x1C,0x30,0xDC,0xF0,0x0C,
0x18,0x0E,0x00,0xF3,0xF8,0xBD,0x1E,0x80,0x0E,0x1C,0xF1,0x77,0x3D,0xC0,0x00,0x1C,0x30,0xDF,0xF0,0x0C,
0x18,0xFF,0x0C,0xE3,0xFF,0xDF,0x8F,0xC0,0x0E,0x1F,0xF7,0xF7,0x39,0xC0,0x00,0x1C,0x30,0xDC,0x10,0x0C,
0x18,0xF6,0x0E,0xE3,0xF0,0x0B,0xC5,0xE0,0x0E,0x1C,0x16,0xB7,0x39,0xC0,0x00,0x1C,0x30,0xCC,0xC0,0x0C,
0x18,0x03,0x3E,0xE3,0xB9,0xF8,0xDC,0x60,0x0E,0x0C,0xCC,0x77,0x39,0xC0,0x00,0x1C,0x30,0xDE,0xE0,0x0C,
0x18,0x03,0xFC,0xE3,0xBB,0xFD,0xFE,0xF0,0x0E,0x1E,0xEE,0xF7,0x39,0xC0,0x00,0x1C,0x30,0xCF,0xC0,0x0C,
0x18,0x00,0xF0,0xE3,0x9F,0x9F,0x8F,0xC0,0x0E,0x0F,0xC7,0xFF,0x39,0xC0,0x91,0x00,0x03,0x03,0x80,0x91,
0x00,0x05,0x0E,0x07,0x03,0x80,0x00,0x03,0x83,0x91,0x00,0x72,0x19,0x80,0x91,0x00,0x12,0x19,0x80,0x91,
0x00,0x0E,0x16,0x1E,0x60,0x01,0xD9,0xD2,0x80,0x91,0x00,0x0D,0x3B,0x3D,0xB9,0x9B,0xB9,0xB1,0x80,0x91,
0x00,0x0D,0x31,0x3B,0x0D,0x99,0x19,0x9B,0x91,0x00,0x0E,0x33,0x31,0x91,0x99,0x03,0xB6,0x91,0x00,0x0E,
0x33,0x31,0x91,0x99,0x03,0x9A,0x91,0x00,0x0E,0x37,0xB3,0xFD,0xFB,0xF9,0x8E,0x91,0x00,0x0E,0x3E,0x30,
0xF8,0xF8,0xF9,0x8E,0x91,0x00,0x0E,0x36,0x30,0x60,0xD8,0xD9,0x8C,0x91,0x00,0x0E,0x30,0x91,0x00,0x04,
0x18,0x91,0x00,0x0E,0x20,0x91,0x00,0x04,0x14,0x91,0x00,0x3B,0x40,0x91,0x00,0x13,0xC0,0x91,0x00,0x0D,
0x01,0x61,0xE7,0x3C,0x38,0xAA,0xE7,0xC0,0x91,0x00,0x0C,0x03,0xB3,0xDB,0xF7,0x76,0xEC,0xFE,0xE0,0x91,
0x00,0x0C,0x03,0x13,0xB3,0x7E,0x63,0xEE,0xC7,0xC0,0x91,0x00,0x0C,0x03,0x33,0x1F,0xBF,0x7F,0xC6,0xCF,
0xC0,0x91,0x00,0x0C,0x03,0x33,0x17,0x97,0x7F,0xC6,0xC2,0xC0,0x91,0x00,0x0C,0x03,0x7B,0x39,0xF7,0x76,
0xC6,0xD6,0x40,0x91,0x00,0x0C,0x03,0xE3,0x0F,0x3F,0x7E,0xC6,0xFF,0xC0,0x91,0x00,0x0C,0x03,0x63,0x0E,
0x1C,0x1C,0x66,0x73,0x80,0x91,0x00,0x0C,0x03,0x91,0x00,0x73,0x01,0x7A,0x00,0x00,0x02,0x20,0x00,0x00,
0x04,0x08,0x20,0x08,0x80,0x91,0x00,0x07,0x07,0xFF,0x00,0x00,0x01,0xE0,0x00,0x00,0x07,0xF8,0x1F,0x8F,
0x91,0x00,0x08,0x0F,0xFF,0x80,0x00,0x01,0xE0,0x00,0x00,0x07,0xF0,0x3F,0x8F,0x91,0x00,0x08,0x0F,0xCF,
0x80,0x00,0x01,0xE0,0x00,0x00,0x07,0xF8,0x7F,0x8F,0x91,0x00,0x08,0x1F,0x83,0xC0,0x00,0x01,0xE0,0x00,
0x00,0x07,0xFC,0x7F,0x80,0x91,0x00,0x08,0x1E,0x03,0xC0,0x62,0x01,0xE3,0xE0,0x46,0x07,0xFC,0x3F,0x8F,
0x9F,0xFE,0x0C,0x40,0x91,0x00,0x04,0x1F,0x83,0x81,0xFF,0x81,0xE7,0xE1,0xFF,0x07,0xB8,0x7F,0x8F,0x1F,
0xFE,0x0F,0xE0,0x91,0x00,0x04,0x0F,0xD0,0x03,0xFF,0x81,0xEF,0x81,0xFF,0xC7,0xBC,0xF7,0x8F,0x1F,0xFE,
0x3F,0xF8,0x91,0x00,0x04,0x0F,0xFC,0x03,0xFB,0xE1,0xEF,0x07,0xDF,0xC7,0x9E,0xFF,0x8F,0x00,0x7C,0x3F,
0xF8,0x91,0x00,0x04,0x03,0xFF,0x07,0xC3,0xE1,0xFF,0x07,0xC3,0xE7,0xBE,0x77,0x8F,0x00,0xFC,0x78,0x7C,
0x91,0x00,0x04,0x03,0xFF,0x87,0xC1,0xF1,0xFE,0x0F,0x83,0xE7,0x9C,0xF7,0x8F,0x00,0xF8,0xF0,0x78,0x91,
0x00,0x05,0xDF,0xE7,0x80,0xE1,0xFC,0x07,0x01,0xE7,0x9F,0xE7,0x8F,0x00,0xF8,0x77,0xFC,0x91,0x00,0x05,
0x0B,0xC7,0x81,0xE1,0xFF,0x07,0x81,0xE7,0x8E,0xF7,0x8F,0x03,0xE0,0x7F,0xFC,0x91,0x00,0x04,0x06,0x03,
0xE7,0x81,0xE1,0xFE,0x07,0x81,0xE7,0x9F,0xE7,0x8F,0x07,0xE0,0x7F,0xFC,0x91,0x00,0x04,0x1F,0x01,0xE7,
0x80,0xF1,0xFF,0x87,0x01,0xE7,0x8F,0xE7,0x8F,0x0F,0xC0,0x78,0x91,0x00,0x05,0x0F,0x01,0xE7,0xC1,0xF1,
0xEF,0x8F,0x83,0xC7,0x8F,0xC7,0x8F,0x0F,0x80,0xF0,0x58,0x91,0x00,0x04,0x1F,0xCB,0xE7,0xE1,0xE1,0xE7,
0xC7,0x87,0xE7,0x87,0xE7,0x8F,0x0F,0x80,0x7C,0x7C,0x91,0x00,0x04,0x0F,0xFF,0xC3,0xE7,0xE1,0xE7,0xC7,
0xE7,0x87,0x8F,0xE7,0x8F,0x3F,0xFF,0x7E,0xF8,0x91,0x00,0x04,0x07,0xFF,0x83,0xFF,0xC1,0xE1,0xE3,0xFF,
0x87,0x8F,0xC7,0x8F,0x3F,0xFF,0x3F,0xF8,0x91,0x00,0x04,0x03,0xFE,0x00,0xFE,0x81,0xE1,0xE1,0x7F,0x07,
0x87,0x87,0x8F,0x3F,0xFF,0x1F,0xE0,0x91,0x00,0x05,0x78,0x00,0x3C,0x91,0x00,0x03,0x38,0x91,0x00,0x06,
0x07,0x80,0x91,0x00,0x91,0x01,0x81,0xF3,0xC0,0x7E,0x00,0x00,0xC0,0x9E,0x0E,0x3F,0xC7,0x87,0x9F,0x70,
0x91,0x00,0x05,0x03,0x81,0xB3,0x70,0x78,0x00,0x00,0xC0,0xDB,0xBE,0x16,0xC7,0x9D,0x9B,0x30,0x91,0x00,
0x05,0x0F,0x83,0x1B,0x60,0x68,0xAA,0x7C,0xC1,0x9B,0x31,0x36,0x6C,0xCD,0xB1,0xB0,0x91,0x00,0x04,0x06,
0xE5,0x81,0xB6,0x30,0xFE,0xEC,0xEC,0xC3,0x31,0xBC,0x20,0xEC,0xD8,0xDB,0x18,0x91,0x00,0x04,0x06,0x41,
0x81,0xB6,0x30,0x66,0xEE,0x5C,0xC1,0xB1,0xBE,0x71,0xEC,0xD8,0xDB,0x18,0x91,0x00,0x04,0x06,0xC1,0x81,
0xB6,0x30,0x66,0xC6,0xFC,0xC1,0xB1,0xB3,0x23,0x8C,0xD8,0xDB,0x18,0x91,0x00,0x04,0x06,0x81,0x81,0x1F,
0x60,0x66,0xC6,0xEC,0xC1,0xBB,0x33,0x67,0x8C,0xDD,0xD1,0x98,0x91,0x00,0x04,0x03,0xC1,0x97,0xFB,0xF0,
0x66,0xC6,0xFC,0xC3,0x1F,0x97,0x47,0x0C,0x8F,0xBF,0x98,0x91,0x00,0x04,0x01,0x81,0x8C,0xE3,0xE0,0x66,
0xC6,0xFE,0xC3,0x1F,0x3F,0xEF,0xEF,0xCF,0x8E,0x30,0x91,0x00,0x04,0x01,0x83,0x98,0xE1,0xC0,0x66,0xE6,
0x66,0xC1,0x8E,0x0C,0xCF,0xE3,0x07,0x0E,0x38,0x91,0x00,0x0C,0x01,0xC0,0x91,0x00,0x05,0x30,0x91,0x00,
0x0D,0x80,0x91,0x00,0x05,0x30,0x91,0x00,0x3E,0x10,0x42,0x00,0xC1,0x08,0x00,0x04,0x91,0x00,0x08,0x48,
0x00,0x00,0x08,0x30,0x10,0x42,0x00,0xC1,0x08,0x00,0x04,0x91,0x00,0x08,0x48,0x00,0x00,0x08,0x48,0x1C,
0xE7,0x38,0x02,0x12,0x8C,0xA7,0x19,0x4E,0x02,0x4C,0x65,0x00,0xC6,0x50,0x9C,0xE4,0xB9,0xCE,0x08,0x12,
0x42,0x24,0xC4,0x25,0x5F,0x54,0xBD,0xAC,0x21,0x92,0x9A,0x91,0x91,0x01,0x09,0xA9,0x08,0x94,0xB1,0x89,
0x30,0x12,0x52,0xB8,0xC8,0x45,0x51,0x54,0xA1,0x02,0x71,0x92,0x9A,0xB9,0x09,0xAA,0x0A,0x94,0x88,0x49,
0x40,0x12,0x21,0x20,0x08,0x44,0x4D,0x17,0x19,0x0E,0x22,0x4C,0x68,0x90,0xC6,0x8A,0x04,0x93,0xB9,0xCE,
0x78,0x00,0x00,0x20,0x91,0x00,0x25
};

/*===========================================================================*/
/* RLE encoded title screen	(160x100) -	second plane						 */
/*===========================================================================*/
unsigned char title_data2[]	= {
0x91,0x00,0x15,0xFF,0xB0,0x00,0x00,0x7F,0xD8,0x00,0xF0,0x60,0x91,0x00,0x04,0x7F,0xC0,0x91,0x00,0x04,
0x01,0xFF,0xB8,0x00,0x00,0x7F,0xDC,0x03,0xFC,0x60,0x91,0x00,0x04,0x7F,0xE0,0x91,0x00,0x05,0xFF,0xB8,
0x00,0x00,0x7F,0xDC,0x03,0x9C,0x60,0x91,0x00,0x04,0x7F,0xC0,0x91,0x00,0x05,0x18,0x3F,0x87,0x80,0x0E,
0x1C,0x07,0x0E,0x6E,0x0F,0x0F,0x87,0xC0,0x06,0x07,0x83,0xE3,0x73,0x80,0x00,0x18,0x3F,0x8F,0xC0,0x0E,
0x1C,0x06,0x00,0x7F,0x1F,0x9F,0xCF,0xE0,0x06,0x0F,0xC7,0xF3,0xFF,0xC0,0x00,0x18,0x39,0xCC,0xE0,0x0E,
0x1C,0x06,0x00,0x73,0x39,0x98,0xCC,0x60,0x06,0x0C,0xEE,0x73,0xBD,0xC0,0x00,0x18,0x39,0xDC,0x60,0x0E,
0x1C,0x06,0x00,0x63,0x31,0xDE,0x0F,0x00,0x06,0x1C,0x60,0xF3,0x18,0xC0,0x00,0x18,0x39,0xDF,0xE0,0x0E,
0x1D,0xF6,0x00,0x63,0x3F,0xDF,0xCF,0xE0,0x06,0x1F,0xE7,0xF3,0x18,0xC0,0x00,0x18,0x39,0xDF,0xE0,0x0E,
0x1D,0xF7,0x0E,0x63,0x3F,0xC7,0xE3,0xF0,0x06,0x1F,0xEF,0x73,0x18,0xC0,0x00,0x18,0x39,0xDC,0x60,0x0E,
0x1C,0x07,0x9C,0x63,0x31,0x98,0xEC,0x70,0x06,0x1C,0x6E,0x73,0x18,0xC0,0x00,0x18,0x39,0xCF,0xE0,0x0E,
0x1C,0x03,0xFC,0x63,0x3F,0x9F,0xCF,0xE0,0x06,0x0F,0xEF,0xF3,0x18,0xC0,0x00,0x18,0x39,0xC7,0xC0,0x0E,
0x1C,0x01,0xF8,0x63,0x1F,0x0F,0xC7,0xE0,0x06,0x07,0xC7,0xB3,0x18,0xC0,0x91,0x00,0x83,0x19,0x80,0x91,
0x00,0x12,0x19,0x80,0x91,0x00,0x0E,0x2E,0x2C,0xF1,0x98,0xF9,0xA1,0x91,0x00,0x0E,0x3F,0x3D,0xF9,0x99,
0xF9,0xB3,0x91,0x00,0x0E,0x33,0xB1,0x99,0x9B,0x99,0xB3,0x91,0x00,0x0E,0x31,0xB3,0x0D,0x9B,0x19,0x9B,
0x91,0x00,0x0E,0x31,0xB3,0x0D,0x9B,0x19,0x9E,0x91,0x00,0x0E,0x3B,0x31,0x91,0x99,0x03,0x9E,0x91,0x00,
0x0E,0x3F,0x31,0xF1,0xF9,0xF9,0x8C,0x91,0x00,0x0E,0x30,0x91,0x00,0x04,0x0C,0x91,0x00,0x0E,0x30,0x91,
0x00,0x04,0x3C,0x91,0x00,0x0E,0x30,0x91,0x00,0x04,0x38,0x91,0x00,0x3B,0x20,0x91,0x00,0x13,0x60,0x91,
0x00,0x0D,0x02,0xE2,0xCE,0x1E,0x1C,0x5C,0xF3,0x80,0x91,0x00,0x0C,0x03,0xF3,0xDF,0x3E,0x3E,0x7E,0xF7,
0xC0,0x91,0x00,0x0C,0x03,0x3B,0x19,0xB0,0x66,0x66,0x6E,0x91,0x00,0x0D,0x03,0x1B,0x3F,0xBE,0x7E,0x66,
0x67,0xC0,0x91,0x00,0x0C,0x03,0x1B,0x38,0x0F,0x60,0x66,0x61,0xE0,0x91,0x00,0x0C,0x03,0xB3,0x1B,0x33,
0x66,0x66,0x6C,0xE0,0x91,0x00,0x0C,0x03,0xF3,0x1F,0x3E,0x3C,0x66,0x77,0xC0,0x91,0x00,0x0C,0x03,0x91,
0x00,0x13,0x03,0x91,0x00,0x74,0xFC,0x00,0x00,0x01,0xC0,0x00,0x00,0x03,0xF0,0x1F,0x87,0x91,0x00,0x08,
0x03,0xFF,0x00,0x00,0x03,0xC0,0x00,0x00,0x03,0xF0,0x3F,0x87,0x80,0x91,0x00,0x07,0x07,0xFF,0x80,0x00,
0x03,0xC0,0x00,0x00,0x03,0xF8,0x3F,0x87,0x80,0x91,0x00,0x07,0x0F,0xFF,0xC0,0x00,0x03,0xC0,0x00,0x00,
0x03,0xF8,0x3F,0x87,0x80,0x91,0x00,0x07,0x0F,0x07,0xC0,0x00,0x03,0xC0,0x00,0x00,0x03,0xF8,0x3F,0x80,
0x91,0x00,0x08,0x0F,0x03,0xC0,0x1C,0x03,0xC0,0x00,0x38,0x03,0xF8,0x7F,0x80,0x00,0x00,0x03,0x80,0x91,
0x00,0x04,0x0F,0x00,0x00,0xFF,0x03,0xC3,0xC0,0xFF,0x03,0xFC,0x7F,0x87,0x9F,0xFE,0x1F,0xE0,0x91,0x00,
0x04,0x0F,0xE0,0x01,0xFF,0xC3,0xC7,0xC3,0xFF,0x83,0xFC,0x7F,0x87,0x9F,0xFE,0x3F,0xF0,0x91,0x00,0x04,
0x07,0xFE,0x03,0xE7,0xC3,0xCF,0x83,0xE7,0xC3,0xFC,0x77,0x87,0x9F,0xFE,0x7C,0xF8,0x91,0x00,0x04,0x07,
0xFF,0x83,0xC1,0xE3,0xDF,0x07,0x83,0xC3,0xDC,0xF7,0x87,0x80,0x7C,0x78,0x78,0x91,0x00,0x04,0x01,0xFF,
0xC7,0x81,0xE3,0xFE,0x07,0x81,0xE3,0xDE,0xF7,0x87,0x80,0xF8,0x78,0x3C,0x91,0x00,0x05,0x3F,0xC7,0x81,
0xF3,0xFE,0x0F,0x81,0xE3,0xDE,0xF7,0x87,0x81,0xF0,0xF8,0x3C,0x91,0x00,0x05,0x07,0xE7,0x80,0xF3,0xFE,
0x0F,0x01,0xE3,0xDF,0xE7,0x87,0x81,0xF0,0xFF,0xFC,0x91,0x00,0x04,0x1E,0x01,0xE7,0x80,0xF3,0xFF,0x0F,
0x01,0xE3,0xCF,0xE7,0x87,0x83,0xE0,0xFF,0xFC,0x91,0x00,0x04,0x1E,0x01,0xE7,0x81,0xE3,0xEF,0x0F,0x81,
0xE3,0xCF,0xE7,0x87,0x87,0xC0,0xF0,0x91,0x00,0x05,0x1F,0x03,0xE7,0x81,0xE3,0xC7,0x87,0x81,0xE3,0xCF,
0xE7,0x87,0x8F,0x80,0x78,0x20,0x91,0x00,0x04,0x0F,0x87,0xC3,0xC3,0xE3,0xC7,0x87,0xC3,0xC3,0xCF,0xC7,
0x87,0x9F,0x00,0x78,0x78,0x91,0x00,0x04,0x0F,0xFF,0xC3,0xFF,0x91,0xC3,0x03,0xFF,0xC3,0xC7,0xC7,0x87,
0x9F,0xFE,0x3F,0xF8,0x91,0x00,0x04,0x07,0xFF,0x81,0xFF,0x83,0xC3,0xC1,0xFF,0x83,0xC7,0xC7,0x87,0x9F,
0xFE,0x3F,0xF0,0x91,0x00,0x04,0x01,0xFF,0x00,0x7F,0x03,0xC1,0xE0,0xFE,0x03,0xC7,0xC7,0x87,0x9F,0xFE,
0x0F,0xE0,0x91,0x00,0xA5,0x03,0x00,0xE1,0xE0,0x3E,0x00,0x00,0xC0,0xCF,0x1E,0x13,0xC7,0x8F,0x0E,0x20,
0x91,0x00,0x05,0x07,0x01,0xF3,0xE0,0x66,0x00,0x00,0xC1,0x9F,0x1F,0x37,0xEF,0xCF,0x9F,0x30,0x91,0x00,
0x04,0x0C,0x6F,0x01,0xB3,0x30,0xF6,0x5C,0x38,0xC1,0x99,0xB2,0x36,0x6C,0xD9,0x9B,0x18,0x91,0x00,0x04,
0x0C,0x6B,0x03,0x1B,0x30,0xF6,0x7E,0x7C,0xC1,0x99,0xBE,0x30,0x6C,0xD9,0xB1,0x98,0x91,0x00,0x04,0x06,
0xE3,0x03,0x1B,0x30,0x66,0x66,0x0C,0xC3,0x19,0xBF,0x20,0xCC,0xD9,0xB1,0x98,0x91,0x00,0x04,0x06,0xC3,
0x03,0x1B,0x30,0x66,0x66,0x7C,0xC3,0x19,0xB3,0x61,0xCC,0xD9,0xB1,0x98,0x91,0x00,0x04,0x03,0xC3,0x03,
0xB3,0x30,0x66,0x66,0xCC,0xC3,0x19,0xB3,0x63,0x0C,0xD9,0xBB,0x18,0x91,0x00,0x04,0x03,0x83,0x09,0xB3,
0x60,0x66,0x66,0xCC,0xC1,0x9B,0x3B,0x67,0xEF,0xDD,0x9B,0x18,0x91,0x00,0x04,0x03,0x83,0x19,0xF1,0xE0,
0x66,0x66,0x7C,0xC1,0x8F,0x1E,0x47,0xE7,0x8F,0x1F,0x18,0x91,0x00,0x0C,0x01,0x80,0x91,0x00,0x05,0x10,
0x91,0x00,0x0D,0x80,0x91,0x00,0x05,0x30,0x91,0x00,0x0D,0xC0,0x91,0x00,0x05,0x20,0x91,0x00,0x3E,0x10,
0x42,0x00,0xC1,0x08,0x00,0x04,0x91,0x00,0x08,0x48,0x00,0x00,0x08,0x30,0x10,0x42,0x00,0xC1,0x08,0x00,
0x04,0x91,0x00,0x08,0x48,0x00,0x00,0x08,0x48,0x1C,0xE7,0x38,0x02,0x12,0x8C,0xA7,0x19,0x4E,0x02,0x4C,
0x65,0x00,0xC6,0x50,0x9C,0xE4,0xB9,0xCE,0x08,0x12,0x42,0x24,0xC4,0x25,0x5F,0x54,0xBD,0xAC,0x21,0x92,
0x9A,0x91,0x91,0x01,0x09,0xA9,0x08,0x94,0xB1,0x89,0x30,0x12,0x52,0xB8,0xC8,0x45,0x51,0x54,0xA1,0x02,
0x71,0x92,0x9A,0xB9,0x09,0xAA,0x0A,0x94,0x88,0x49,0x40,0x12,0x21,0x20,0x08,0x44,0x4D,0x17,0x19,0x0E,
0x22,0x4C,0x68,0x90,0xC6,0x8A,0x04,0x93,0xB9,0xCE,0x78,0x00,0x00,0x20,0x91,0x00,0x25
};
